﻿/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/models/messagelocalarchive', [
    'com.voiceworks/ox-messenger/util'
], function (Util) {
    'use strict';

    /**
     * MessageArchive Model
     */
    var MessageLocalArchiveModel = Backbone.Model.extend({

        getMessageModels: function (callback) {
            callback(this.get('models').reverse());
        },

        getTime: function() {
            return this.get('models')[0].get('timestamp');
        }
    });

    return MessageLocalArchiveModel;
});
