/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/core/views/timer', [
    'gettext!com.voiceworks/ox-messenger'
], function (gt) {
    'use strict';

    /**
     * Timer View
     */
    var TimerView = Backbone.View.extend({

        initialize: function () {
            this.listenTo(this.model, 'change:timer', this.render);
        },

        render: function () {
            this.$el.empty();
            this.$el.append(
                $('<span class="messenger--badge-timer__time">').text(this.model.get('timer'))
            );
            return this;
        }
    });

    return TimerView;
});
