'use strict';

module.exports = function (grunt) {

    grunt.config.extend('concat', {

        ucconnect: {
            files: [
                {
                    src: [
                        'lib/ucconnect.js',
                        'apps/com.voiceworks/ox-messenger/ucconnect.js'
                    ],
                    dest: 'build/apps/com.voiceworks/ox-messenger/ucconnect.js',
                    nonull: true
                }
            ]
        }
    });

    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.registerTask('build', ['lint', 'copy_build', 'concat', 'newer:less', 'compile_po']);
};
